<template>
  <div class="q-px-lg q-pb-xl">
    <q-card-section class="text-h5">Lijst</q-card-section>
    <q-card-section horizontal>
      <q-card-section>
        <div>
          In de lijst worden de concepten getoond die, via de linkbases, in het entrypoint zijn opgenomen.
          Het getal laat zien hoeveel concepten er in de lijst zichtbaar zijn. De lijst is op verschillende manieren
          te filteren.
        </div>
        <div>
          Door een gedeelte van de naam of het label van een concept in het zoekveld te typen zal de lijst vanzelf
          daarop filteren.
        </div>
        <div>
          Onder <q-icon name="filter_alt"></q-icon> <em>Filter</em> zijn er meer manieren om de concepten te filteren.
          Standaard laten we alle concepten zien uit de DTS. ook de concepten die niet via de linkbases zijn opgenomen
          in het entrypoint. Door <em>Presentation</em> of <em>Definition</em> te selecteren worden alleen die
          concepten in de lijst getoond die daadwerkelijkvia de linkbases zijn opgenomen in het entrypoint.
        </div>
        <div>
          Door <em>Abstract</em> te selecteren worden alle niet rapporteerbare concepten getoond. Door
          <em>Rapporteerbare items</em> te selecterenwordenalle rapporteerbare items getoond.
        </div>
        <div>
          Door datatype te selecteren, verschijnt een lijst van alle mogelijke datatypes
          op basis waarvan de concepten gefilterd kunnen worden.
        </div>
        <div>Door substitution group te selecteren verschijnt een lijst van alle mogelijke substitution groups
          op basis waarvan de concepten gefilterd kunnen worden.</div>
      </q-card-section>
      <q-card-section class="col-4">
        <q-img alt="Rendering list" src="~assets/help/render_list.png"></q-img>
      </q-card-section>
    </q-card-section>
    <q-card-section class="text-h5">Detailscherm</q-card-section>
    <q-card-section>
      <div>
        Op het detailscherm worden  we alle kenmerken die het concept heeft, zoals <em>@balance attribuut</em>,
        <em>namespace</em> en <em>@periodType attribuut</em> getoond. Als het bijbehorende itemtype een enumeratie is, dan zal er een dropdown zichtbaar zijn met
        alle opties. Deze opsomming wordt getoond in de taal gekozen in de header.
      </div>
      <div>
        Vervolgens volgt een lijst met alle labels in alle talen die bij het concept horen.
      </div>
      <div>
        Als er referenties bij het concept horen, dan worden die onder de labels getoond.
      </div>
      <div>
        Het itemtype van het concept wordt uitgebreid getoond.
      </div>
      <div>
        Mocht het concept worden gebruikt in de definitie of presentatie, dan wordt in de tabel <em>Gebruik</em> de
        vindplaats van het concept getoond.
      </div>
    </q-card-section>
  </div>
</template>

<script>
export default {
  name: "Concepten"
}
</script>

<style scoped>

</style>
